﻿namespace WMFInterface
{
	/// <summary>
	/// Информация стрима
	/// </summary>
	public class Stream
	{
		public Stream(int number)
		{
			Number = number;
			Type = StreamType.Unknown;
		}

		/// <summary>
		/// Язык
		/// </summary>
		public string Language { get; set; }
		/// <summary>
		/// Номер стрима в файле
		/// </summary>
		public int Number { get; private set; }
		/// <summary>
		/// Битрейт в битах/с
		/// </summary>
		public uint BitRate { get; set; }
		/// <summary>
		/// Тип стрима
		/// </summary>
		public StreamType Type { get; set;}
	}

	/// <summary>
	/// Тип стрима
	/// </summary>
	public enum StreamType
	{
		Unknown = -1,
		Video = 0,
		Audio,
		Script,
		FileTransfer, 
		Image,
		Text		
	}
}
